# Class GetBestAvailableConnectionReply

#### Hierarchy

- unknown
  - GetBestAvailableConnectionReply

- Defined in src/protobuf/grpc_pb.d.ts:1134
- Defined in src/protobuf/grpc_pb.d.ts:1148

#####
Index

### Constructors

constructor

### Methods

clearConnection
getConnection
hasConnection
serializeBinary
setConnection
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetBestAvailableConnectionReply(): GetBestAvailableConnectionReply

- #### Returns GetBestAvailableConnectionReply

  Inherited from jspb.Message.constructor

## Methods

### clearConnection

- clearConnection(): GetBestAvailableConnectionReply

- #### Returns GetBestAvailableConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1138

### getConnection

- getConnection(): undefined | UrlConnection

- #### Returns undefined | UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:1135

### hasConnection

- hasConnection(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1137

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1140

### setConnection

- setConnection(value?: UrlConnection): GetBestAvailableConnectionReply

- #### Parameters

  - ##### `Optional` value: UrlConnection

  #### Returns GetBestAvailableConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1136

### toObject

- toObject(includeInstance?: boolean): GetBestAvailableConnectionReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetBestAvailableConnectionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1141

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBestAvailableConnectionReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBestAvailableConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1144

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBestAvailableConnectionReply, reader: BinaryReader): GetBestAvailableConnectionReply

- #### Parameters

  - ##### message: GetBestAvailableConnectionReply

  - ##### reader: BinaryReader

  #### Returns GetBestAvailableConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:1145

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBestAvailableConnectionReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetBestAvailableConnectionReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1143

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetBestAvailableConnectionReply): GetBestAvailableConnectionReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBestAvailableConnectionReply

  #### Returns GetBestAvailableConnectionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1142

Generated using TypeDoc